{{ define "main" }}

<div
    class="post {{ with .Site.Params.doNotLoadAnimations }}
      .

    {{ else }}
      animated fadeInDown

    {{ end }}"
  >

  <h1>{{ .Title }}</h1>
  {{ if .Description }}
  <div class="post-description">
    {{ .Description | markdownify }}
  </div>
  {{ end }}

  {{ if .Content }}
  <div class="post__content">
    {{ .Content }}
  </div>
  {{ end }}

  {{ $pages := union .RegularPages .Sections }}

  {{ $paginator := .Paginate $pages }}

  {{ $term := .Data.Term }}
  {{ range $index, $page := $paginator.Pages }}

    {{ $class := "post-entry" }}
  
  <ul class="archive__list">
    <li class="archive__list-item">
      <a class="archive__list-title" href="{{ .RelPermalink }}" title="{{ .Title }}">{{ .Title }}</a>
      <div class="archive__list-date">
        {{ if isset .Site.Params "listdateformat" }}
          {{ .Date.Format .Site.Params.listDateFormat }}

        {{ else }}
          {{ .Date.Format "Jan 2" }}

        {{ end }}
      </div>
    </li>
  </ul>

  {{ end }}

  {{ if gt $paginator.TotalPages 1 }}
  <footer class="page-footer">
    <nav class="pagination">
      {{ if $paginator.HasPrev }}
      <a class="prev" href="{{ $paginator.Prev.URL | absURL }}">« {{ i18n "prev_page" }}</a> &nbsp;
      {{ end }}
      {{ if $paginator.HasNext }}
      <a class="next" href="{{ $paginator.Next.URL | absURL }}">{{ i18n "next_page" }} »</a>
      {{ end }}
    </nav>
  </footer>
  {{ end }}

</div>
{{ end }}
